# Uses of Interface
org.apache.zookeeper.server.persistence.TxnLog.TxnIterator

Packages that use TxnLog.TxnIterator
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.persistence

## Uses of TxnLog.TxnIterator in org.apache.zookeeper.server

Constructors in org.apache.zookeeper.server with parameters of type TxnLog.TxnIterator
Modifier
Constructor
Description
``
`TxnLogProposalIterator(TxnLog.TxnIterator itr)`

## Uses of TxnLog.TxnIterator in org.apache.zookeeper.server.persistence

Classes in org.apache.zookeeper.server.persistence that implement TxnLog.TxnIterator
Modifier and Type
Class
Description
`static class`
`FileTxnLog.FileTxnIterator`
this class implements the txnlog iterator interface which is used for reading the transaction logs
Methods in org.apache.zookeeper.server.persistence that return TxnLog.TxnIterator
Modifier and Type
Method
Description
`TxnLog.TxnIterator`
FileTxnLog.`read(long zxid)`
start reading all the transactions from the given zxid
`TxnLog.TxnIterator`
FileTxnLog.`read(long zxid, boolean fastForward)`
start reading all the transactions from the given zxid.
`TxnLog.TxnIterator`
TxnLog.`read(long zxid)`
Start reading the transaction logs from a given zxid
`TxnLog.TxnIterator`
FileTxnSnapLog.`readTxnLog(long zxid)`
Get TxnIterator for iterating through txnlog starting at a given zxid
`TxnLog.TxnIterator`
FileTxnSnapLog.`readTxnLog(long zxid, boolean fastForward)`
Get TxnIterator for iterating through txnlog starting at a given zxid